<?php
/*
 * Created on 19.12.2022 by Nico Schubert
 * Terminverwaltung Version 1.31 (https://www.php-space.info/terminverwaltungs-script/)
 * Copyright by Php-Space.info
 * Web: www.php-space.info
 * Support Forum: http://ww.php-space.info/forum/
 * E-Mail: info@schubertmedia.de
 */
if (strpos("function.php", $_SERVER["PHP_SELF"])) {
  header('Location: ./index.php');
  die();
}
if (function_exists("date_mysql2german") == false) {
  /**
   * @param string $datum
   * @return string
   */
  function date_mysql2german(string $datum = '0000-00-00'): string
  {
    if ($datum == "" or $datum == NULL) $datum = '0000-00-00';
    list($jahr, $monat, $tag) = explode("-", $datum);
    return sprintf('%02d.%02d.%04d', $tag, $monat, $jahr);
  }
}
if (function_exists("date_german2mysql") == false) {
  /**
   * @param string $datum
   * @return string
   */
  function date_german2mysql(string $datum = '00.00.0000'): string
  {
    list($tag, $monat, $jahr) = explode(".", $datum);
    return sprintf('%04d-%02d-%02d', $jahr, $monat, $tag);
  }
}
if (function_exists("date_mysql2format") == false) {
  /**
   * @param string $datum
   * @return string
   */
  function date_mysql2format(string $datum = ''): string
  {
    list($jahr, $monat, $tag) = explode("-", $datum);
    return sprintf('%04d-%02d-%02d', $jahr, $monat, $tag);
  }
}
if (function_exists("date_His_mysql2german") == false) {
  /**
   * @param $datum
   * @return string
   */
  function date_His_mysql2german($datum): string
  {
    list($datum, $his) = explode(" ", $datum);
    list($h, $s, $i) = explode(":", $his);
    list($jahr, $monat, $tag) = explode("-", $datum);
    return sprintf('%02d.%02d.%04d %02d:%02d:%02d', $tag, $monat, $jahr, $h, $s, $i);
  }
}
if (function_exists("timestamp_mysql2german") == false) {
  /**
   * @param $t
   * @return string
   */
  function timestamp_mysql2german($t): string
  {
    return date('d.m.Y', $t);
  }
}
if (function_exists("check_date_mysql") == false) {
  /**
   * @param $datum
   * @return bool
   */
  function check_date_mysql($datum): bool
  {
    $datum = explode('-', $datum);
    if (checkdate($datum['1'], $datum['2'], $datum['0']) && $datum['2'] < 10000) {
      return true;
    } else {
      return false;
    }
  }
}
if (function_exists("date_mysql2timestamp") == false) {
  /**
   * @param $datum
   * @return false|int
   */
  function date_mysql2timestamp($datum): false|int
  {
    list($jahr, $monat, $tag) = explode("-", $datum);
    $jahr = sprintf('%04d', $jahr);
    $monat = sprintf('%02d', $monat);
    $tag = sprintf('%02d', $tag);
    return (mktime(0, 0, 0, $monat, $tag, $jahr));
  }
}
if (function_exists("limitch") == false) {
  /**
   * @param $value
   * @param int $lenght
   * @return mixed
   */
  function limitch($value, int $lenght = 0): mixed
  {
    if (strlen($value) >= $lenght) {
      $limited = "";
      $limited .= substr($value, 0, $lenght);
      $limited .= ".";
      return $limited;
    } else {
      return $value;
    }
  }
}
if (function_exists("log_message") == false) {
  /**
   * @param $msg
   * @param bool $strip
   * @param string $file
   * @return void
   */
  function log_message($msg, bool $strip = true, string $file = 'log_message.txt'): void
  {
    if ($msg) {
      if ($strip) {
        $msg = html_entity_decode($msg);
      }
      if (is_array($msg)) {
        $msg_new = '';
        foreach ($msg as $key => $value) {
          $msg_new .= sprintf('%s=>%s
', $key, $value);
        }
        $msg = $msg_new;
      }
      if (strpos($msg, '?xml') === false) $msg =
        preg_replace("/\n|\r|\t/", " ", $msg);
      $now = date('d/m/Y H:i:s');
      $logfile = $file;
      $ip = $_SERVER['REMOTE_ADDR'];
      $fp = @fopen( $logfile, "a");
      if ($fp) {
        fputs($fp, sprintf('[%s - %s] %s
', $now, $ip, $msg));
        fclose($fp);
      }
    }
  }
}
if (function_exists("userid_to_name") == false) {
  /**
   * @param int $user_id
   * @return string
   */
  function userid_to_name(int $user_id = 0): string
  {
    global $dbh, $datenbank_praefix;
    $sql_select = sprintf('SELECT name FROM `%suser` WHERE `id` =  \'%d\' LIMIT 1;', $datenbank_praefix, $user_id);
    $sth = $dbh->prepare($sql_select, '60');
    $sth->execute();
    $daten = $sth->fetchrow_array();
    return ($daten["name"]);
  }
}
if (function_exists("userid_to_nameemail_link") == false) {
  /**
   * @param int $user_id
   * @return string
   */
  function userid_to_nameemail_link(int $user_id = 0): string
  {
    global $dbh, $datenbank_praefix;
    $sql_select = sprintf('SELECT name, email FROM `%suser` WHERE `id` =  \'%d\' LIMIT 1;', $datenbank_praefix, $user_id);
    $sth = $dbh->prepare($sql_select, '60');
    $sth->execute();
    $daten = $sth->fetchrow_array();
    return (sprintf('<a href="mailto:%s">%s</a>', $daten["email"], $daten["name"]));
  }
}
if (function_exists("select_email_tpl") == false) {
  /**
   * @param int $id
   * @param int $user_id
   * @return string
   */
  function select_email_tpl(int $id = 0,int $user_id =0): string
  {
    global $dbh, $datenbank_praefix;
    $form = sprintf('<option value="0" %s>Nein</option>', ($id == 0) ? 'selected' : '');
    $sql_select = sprintf('SELECT id, betreff  FROM `%stpl_emails` WHERE `user_id` = \'%d\';', $datenbank_praefix, $user_id);
    $sth = $dbh->prepare($sql_select, 60);
    $sth->execute();
    while ($daten = $sth->fetchrow_hash()) {
      if ($daten['id'] == $id) {
        $form .= sprintf('<option value="%s" selected="selected">%s</option>
', $daten['id'], limitch($daten['betreff'], 40));
      } else {
        $form .= sprintf('<option value="%s">%s</option>
', $daten['id'], limitch($daten['betreff'], 40));
      }
    }
    $sth->finish();
    return ($form);
  }
}
function phpVersionCheck(){
  if(version_compare(PHP_VERSION,8.2)<=0){
    echo sprintf("<p>Die PHP-Version muss mind. 8.2 sein. Sie verwenden die PHP-Version %s</p><p>Bitte aktualisieren Sie die PHP-Version auf Ihren Speicherplatz.</p>", PHP_VERSION);
    exit;
  }
}