<?php
/*
 * Created on 19.12.2022 by Nico Schubert
 * Terminverwaltung Version 1.31 (https://www.php-space.info/terminverwaltungs-script/)
 * Copyright by Php-Space.info
 * Web: www.php-space.info
 * Support Forum: http://ww.php-space.info/forum/
 * E-Mail: info@schubertmedia.de
 */
if (headers_sent() == false) {
  if (!isset($_GET['PHPSESSID'])) $_GET['PHPSESSID'] = '';
  if ($_GET['PHPSESSID'] != '') {
    session_start($_GET['PHPSESSID']);
  } else {
    session_start();
  }
  if (empty($_SESSION["sessionid"])) {
    header("location:index.php");
    exit;
  }
}
if (function_exists('date_default_timezone_set') === true) {
  $timezone = 'Europe/Berlin';
  date_default_timezone_set($timezone);
}
//---------------------
include_once('error_log.php');
include_once('inc/config.php');
include_once('function.php');
phpVersionCheck();
include_once('classes/dbcache_class.php');
//---------------------
$dbh = new DBI($datenbank_host, $datenbank_name, $datenbank_user, $datenbank_password, $cachedir);
//---------------------
if (!isset($_GET['datum'])) $_GET['datum'] = date('Y-m-d');
if (!isset($_POST['senden'])) $_POST['senden'] = ''; else $_POST['senden'] = sprintf("%d", $_POST['senden']);
if (!isset($_POST['titel'])) $_POST['titel'] = '';
if (!isset($_POST['text'])) $_POST['text'] = '';
if (!isset($_POST['datum'])) $_POST['datum'] = '';
if (!isset($_POST['empfaenger'])) $_POST['empfaenger'] = '';
if (!isset($_POST['email_benachrichten_an_mich'])) $_POST['email_benachrichten_an_mich'] = '1'; else $_POST['email_benachrichten_an_mich'] = sprintf("%d", $_POST['email_benachrichten_an_mich']);
if (!isset($_POST['zeit'])) $_POST['zeit'] = date("H:i");
if (!isset($_POST['email_benachrichten'])) $_POST['email_benachrichten'] = '1'; else $_POST['email_benachrichten'] = sprintf("%d", $_POST['email_benachrichten']);
$termin_id = 0;
if (!isset($_POST['email_tpl'])) $_POST['email_tpl'] = '0'; else $_POST['email_tpl'] = sprintf("%d", $_POST['email_tpl']);
//---------------------
if ($_POST['senden'] == 1 and $_POST['titel'] != '' and $_POST['text'] != '' and $_POST['datum'] != '') {
  $sql_insert = sprintf('INSERT INTO `%stermin` (`datum`,`titel`,`nachricht`, `user_id`,`email_benachrichten`,`tpl_email_id`) VALUES(\'%s\', \'%s\', \'%s\', \'%d\',\'%s\', %s);', $datenbank_praefix, $dbh->DBD->escape($_POST['datum'] . ' ' . $_POST['zeit']), $dbh->DBD->escape($_POST['titel']), $dbh->DBD->escape($_POST['text']), $dbh->DBD->escape($_SESSION["user_id"]), $dbh->DBD->escape($_POST['email_benachrichten']), $dbh->DBD->escape($_POST['email_tpl']));
  $sth = $dbh->prepare($sql_insert);
  $sth->execute();
  $termin_id = $sth->insert_id();
  if ($_POST['email_benachrichten'] == 1) {
    /**
     * E-Mail senden
     */
    if ($_POST['email_benachrichten_an_mich'] == 1 and $termin_id != '0') {
      /**
       * E-Mail an User senden
       */

      /**
       * E-Mail Adresse des User auslesen
       */
      $sql_select = sprintf('SELECT email FROM `%suser` WHERE `id` = \'%d\' LIMIT 1;', $datenbank_praefix, $_SESSION["user_id"]);
      $sth = $dbh->prepare($sql_select, '-1');
      $sth->execute();
      $daten = $sth->fetchrow_hash();
      $sth->finish();


      $sql_insert = sprintf('INSERT INTO `%stermin_emails` (`termin_id`,`email_adresse`) VALUES(\'%d\', \'%s\');', $datenbank_praefix, $termin_id, trim($daten['email']));
      $sth = $dbh->prepare($sql_insert);
      $sth->execute();

    } elseif ($_POST['email_benachrichten_an_mich'] == 2 and $_POST['empfaenger'] != '' and $termin_id != '0') {
      /**
       * E-Mail an mehere Empfänger versenden.
       */
      $email_adressen = explode(";", $_POST['empfaenger']);
      if (is_array($email_adressen) == true) {
        foreach ($email_adressen as $key => $value) {
          if (preg_match('/^[a-z0-9]+([\._a-z0-9-]+)*@([a-z0-9]+([a-z0-9\.-]+)*\.)+([a-z]{2,4}|museum)$/i', $value) != false) {
            $sql_insert = sprintf('INSERT INTO `%stermin_emails` (`termin_id`,`email_adresse`) VALUES(\'%d\', \'%s\');', $datenbank_praefix, $termin_id, trim($value));
            $sth = $dbh->prepare($sql_insert);
            $sth->execute();
          }
        }
      }
    }
  }
  header('Location:index.php?' . SID . '&datum=' . $_POST['datum'] . '&reloade_cache=1');

}
//---------------------
$ausgabe = '';
$ausgabe .= '<html>';
$ausgabe .= '<head>';
$ausgabe .= '<title>Terminverwaltung</title>';
$ausgabe .= '<script type="text/JavaScript">' . "\n";
$ausgabe .= '    <!--' . "\n";
$ausgabe .= '    function benachrichtigung_an_mich(wert){' . "\n";
$ausgabe .= '    	if(wert=="1" ){' . "\n";
$ausgabe .= '    		document.getElementById("versteckt_email_benachrichten_an_mich").style.display = "";' . "\n";
$ausgabe .= '    		document.getElementById("versteckt_email_tpl").style.display = "";' . "\n";


$ausgabe .= '    	} else {' . "\n";
$ausgabe .= '    		document.getElementById("versteckt_email_benachrichten_an_mich").style.display = "none";' . "\n";
$ausgabe .= '    		document.getElementById("versteckt_email_tpl").style.display = "none";' . "\n";
$ausgabe .= '			empfaenger_open("2");' . "\n";
$ausgabe .= '			document.form.email_benachrichten_an_mich[0].checked = true;' . "\n";
$ausgabe .= '			document.form.email_benachrichten_an_mich[1].checked = false;' . "\n";
$ausgabe .= '			document.getElementById("empfaenger_feld").value ="";' . "\n";
$ausgabe .= '    	}' . "\n";
$ausgabe .= '    }' . "\n";
$ausgabe .= '    function empfaenger_open(wert){' . "\n";
$ausgabe .= '    	if(wert=="1" ){' . "\n";
$ausgabe .= '    		document.getElementById("versteckt_empfaenger").style.display = "";' . "\n";
$ausgabe .= '    	} else {' . "\n";
$ausgabe .= '    		document.getElementById("versteckt_empfaenger").style.display = "none";' . "\n";
$ausgabe .= '    	}' . "\n";
$ausgabe .= '    }' . "\n";
$ausgabe .= '    -->' . "\n";
$ausgabe .= '</script>';
$ausgabe .= '<link rel="stylesheet" type="text/css" href="style.css">';
$ausgabe .= '</head>';
$ausgabe .= '<body>';
include_once('navigation.php');
if (check_date_mysql($_GET['datum']) == true) {
  $ausgabe .= sprintf('<form action="termin_eintragen.php?%s" method="post" name="form">', SID);
  $ausgabe .= sprintf('<input type="hidden" name="datum" value="%s">', $_GET['datum']);
  $ausgabe .= '<input type="hidden" name="senden" value="1">';
  $ausgabe .= '<div id=\'einstellung_tab\'>';
  /**
   * Ausgabe Datum
   */
  $ausgabe .= '  	<div id="w100">';
  $ausgabe .= '		<div style="background-color:#ccc; padding:5px"><b>Termin Eintragen</b></div>';
  $ausgabe .= '		<div style="float:left; text-align:justify; width:40%;padding:5px"><b>Datum</b></div>';
  $ausgabe .= sprintf('		<div style="float:none;padding:5px">%s (<a href="index.php?%s">ändern</a>)</div>', date_mysql2german($_GET['datum']), SID);
  $ausgabe .= '    </div>';
  /**
   * Ausgabe Zeit
   */
  $datum_heute = date('Y-m-d 00:00:01');
  $timestamp = strtotime($datum_heute);

  $select_zeit = '<select name="zeit">';
  for ($index = 1; $index < 288; $index++) {
    $timestamp = ($timestamp + 60 * 5);
    $select_zeit .= sprintf('  <option value="%s" %s>%s</option>', date("H:i", $timestamp), ($timestamp > (time() + 60 * 5)) ? '' : 'selected', date("H:i", $timestamp));

  }
  $select_zeit .= '</select>';
  $ausgabe .= '  	<div id="w100">';
  $ausgabe .= '		<div style="float:left; text-align:justify; width:40%;padding:5px	"><b>Uhrzeit</b></div>';
  $ausgabe .= '		<div style="float:none;padding:5px">' . $select_zeit . "</div>\n";
  $ausgabe .= '    </div>';
  /**
   * Benachrichtigen per E-Mail?
   */
  $ausgabe .= '  	<div id="w100">';
  $ausgabe .= '		<div style="float:left; text-align:justify; width:40%;padding:5px"><b>Benachrichtigen per E-Mail?</b></div>';
  $ausgabe .= '		<div style="float:none;padding:5px"><input type="radio" name="email_benachrichten" value="1" onClick="benachrichtigung_an_mich(\'1\');"> ja <input type="radio" name="email_benachrichten" value="2" onClick="benachrichtigung_an_mich(\'2\');" checked> nein</div>';
  $ausgabe .= '    </div>';
  /**
   * Eamil TPL Ausgabe
   */
  $ausgabe .= '  	<div style="width:100%;display:none;" id="versteckt_email_tpl">';
  $ausgabe .= "		<div style=\"float:left; text-align:justify; width:40%;padding:5px\"><b>E-Mail-Vorlage verwenden?</b></div>\n";
  $ausgabe .= sprintf('		<div style="float:none;padding:5px"><select size="1" name="email_tpl" id="email_tpl" style="width:98%%;">%s</select></div></div>', select_email_tpl(0, $_SESSION["user_id"]));

  /**
   * Benachrichtigung an mich?
   */
  $ausgabe .= '  	<div style="width:100%;display:none;" id="versteckt_email_benachrichten_an_mich">';
  $ausgabe .= '		<div style="float:left; text-align:justify; width:40%;padding:5px"><b>Benachrichtigung an mich?</b></div>';
  $ausgabe .= '		<div style="float:none;padding:5px"><input type="radio" name="email_benachrichten_an_mich" id="email_benachrichten_an_mich" value="1" onClick="empfaenger_open(\'2\');" checked> ja <input type="radio" id="email_benachrichten_an_mich" name="email_benachrichten_an_mich" value="2" onClick="empfaenger_open(\'1\');"> nein</div></div>';
  /**
   * Ausgabe Empfänger
   */
  $ausgabe .= '	<div id="versteckt_empfaenger" style="display:none">';
  $ausgabe .= '		<div style="width:100%;padding:5px"><b>Empfänger</b> (mit ; getrennt bei mehreren Empfängern)</div>';
  $ausgabe .= '	  	<div style="width:100%;padding:5px"><input type="text" name="empfaenger" id="empfaenger_feld" size="35" style="width:98%"></div>';
  $ausgabe .= '    </div>';
  /**
   * Ausgabe überschrift
   */
  $ausgabe .= '	<div style="width:100%;padding:5px"><b>Überschrift</b></div>';
  $ausgabe .= '  	<div style="width:100%;padding:5px"><input type="text" name="titel" size="35" style="width:98%"></div>';
  /**
   * Ausgabe Text
   */
  $ausgabe .= '	<div style="width:100%;padding:5px"><b>Text</b></div>';
  $ausgabe .= '  	<div style="width:100%;padding:5px"><textarea name="text" style="width:98%" rows="5"></textarea></div>';
  $ausgabe .= '</div>';
  $ausgabe .= '<p></p>';
  $ausgabe .= '<input type="submit" value="Speichern">';
  $ausgabe .= '</form>';
} else {
  $ausgabe .= 'Das Datum was übergeben wurde, ist nicht im richtigen Format!';
}
//---------------------
$ausgabe .= '</body>';
$ausgabe .= '</html>';
eval(base64_decode("JGF1c2dhYmUgLj0nPHA+Q29weXJpZ2h0IGJ5IDxhIGhyZWY9Imh0dHBzOi8vd3d3LnBocC1zcGFjZS5pbmZvLyIgdGFyZ2V0PSJfYmxhbmsiPlBocC1TcGFjZS5pbmZvPC9hPjwvcD4nOwplY2hvICRhdXNnYWJlOw=="));